=== debian/changelog ===
plasma-desktop (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:53:31 -0700

plasma-desktop (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * plasma-desktop-data breaks/replaces kde-l10n:all << 4:15.08.3-0ubuntu2~
  * Build-depend on pkg-kde-tools >= 0.15.18 for l10n-packages.mk support
  * Rename the pam-kwallet recommends to libpam-kwallet as the packages were
    renamed
  * Cherry pick upstream_fix_panel_shrinking.diff from git
  * Build-depend on libpackagekitqt5-dev

  [ Scarlett Clark ]
  * Debian merge, No remaining changes. 
  * New dependenciy kscreenlocker. 
  * Fix syntax. 

  [ Clive Johnston ]
  * New upstream release
  * Removing patch upstream_fix_panel_shrinking.diff as it is now fixed in 5.5.4

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:27:15 +0100

plasma-desktop (4:5.4.3-2) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * Stop depending on qtdeclarative5-kf5declarative transitional package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 12 Jan 2016 17:02:08 +0300

plasma-desktop (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:41 +0100

plasma-desktop (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:41:31 +0100

plasma-desktop (4:5.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add kio to plasma-desktop depends so I/O using widgets work (Closes:
    #798664)
  * Add qml-module-qt-labs-settings and qml-module-qt-labs-
    folderlistmodel to plasma-desktop Depends (Closes: #799575)
    - Thanks to Ralph Jung for the report

  [ Maximiliano Curia ]
  * New patch: allow_uxterm_overrides.diff (Closes: #797482) Thanks to
    Thorsten Glaser
  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:52 +0200

plasma-desktop (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 16:36:27 +0200

plasma-desktop (4:5.4.0-3) experimental; urgency=medium

  * Build with -gstabs instead of -g on mips and mipsel to work around

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 19:32:33 +0200

plasma-desktop (4:5.4.0-2) unstable; urgency=medium

  * Force building against the experimental version of baloo.
    virtual memory exhaustion.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 04 Sep 2015 21:07:53 +0200

plasma-desktop (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).
  * Remove upstream patch: upstream-
    replace_license_reference_by_license_text
  * Remove upstream patch: upstream_add_missing_licenses

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 09:49:23 +0200

plasma-desktop (4:5.3.2-2) unstable; urgency=high

  * Team upload.

  [ Maximiliano Curia ]
  * Add missing Breaks/Replaces. (Closes: #791891) Thanks to Andreas
    Beckman

  [ Felix Geyer ]
  * Make Breaks/Replaces against kde-touchpad and kde-config-touchpad
    versioned. (Closes: #793568)
    They are transitional packages now.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 26 Jul 2015 15:38:15 +0200

plasma-desktop (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.
  * Add the missing Breaks/Replaces.
  * New upstream patch: upstream-
    replace_license_reference_by_license_text
  * New upstream approved patch (reviewboard
    https://git.reviewboard.kde.org/r/124290/):
    upstream_add_missing_licenses.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 08 Jul 2015 22:33:00 +0200
