=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               kded5-dev (>= 5.12.0~),
               kdoctools-dev (>= 5.12.0~),
               kinit-dev,
               kio-dev,
               kscreenlocker-dev (>= 5.5.5~),
               kwin-dev (>= 4:5.5.5~),
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libkf5activities-dev (>= 5.18.0~),
               libkf5attica-dev (>= 5.12.0~),
               libkf5auth-dev (>= 5.12.0~),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev (>= 5.12.0~),
               libkf5declarative-dev (>= 5.12.0~),
               libkf5emoticons-dev,
               libkf5globalaccel-dev (>= 5.12.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.12.0~),
               libkf5itemmodels-dev,
               libkf5kcmutils-dev (>= 5.12.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5newstuff-dev (>= 5.12.0~),
               libkf5notifications-dev (>= 5.12.0~),
               libkf5notifyconfig-dev (>= 5.12.0~),
               libkf5people-dev (>= 5.12.0~),
               libkf5runner-dev (>= 5.12.0~),
               libkf5sysguard-dev (>= 4:5.5.5~),
               libkf5wallet-dev (>= 5.12.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libudev-dev,
               libusb-dev,
               libx11-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework-dev (>= 5.12.0~),
               plasma-workspace-dev (>= 4:5.5.5~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-config-touchpad (<< 4:5), kde-touchpad (<< 5.1.95~)
Replaces: kde-config-touchpad (<< 4:5), kde-touchpad (<< 5.1.95~)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: baloo-kf5,
         breeze,
         kactivities,
         kde-cli-tools,
         kded5,
         kio,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            discover | muon-discover,
            fonts-noto,
            fonts-oxygen,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen-qt5,
            kgamma5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin,
            kwrited,
            muon-notifier,
            muon-updater,
            libpam-kwallet5,
            plasma-pa,
            powerdevil,
            sni-qt,
            systemsettings,
            user-manager
Breaks: baloo-kf5 (<< 5.5),
        kde-config-touchpad (<< 4:5),
        kde-touchpad (<< 5.1.95~),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
        plasma-widget-kimpanel
Replaces: baloo-kf5 (<< 5.5),
          kde-config-touchpad (<< 4:5),
          kde-touchpad (<< 5.1.95~),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
          plasma-widget-kimpanel
Conflicts: kde-workspace-bin
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinst5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkf5activitiesexperimentalstats1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: plasma-framework,
            plasma-workspace,
            qml-module-org-kde-extensionplugin,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs
Breaks: baloo-kf5 (<< 5.5),
        kde-config-touchpad (<< 4:5),
        kde-touchpad (<< 5.1.95~),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
        ${kde-l10n:all}
Replaces: baloo-kf5 (<< 5.5),
          kde-config-touchpad (<< 4:5),
          kde-touchpad (<< 5.1.95~),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
          ${kde-l10n:all}
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: kde-touchpad
Architecture: any
Depends: plasma-desktop, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: kde-config-touchpad
Depends: plasma-desktop, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}
Description: Tools and widgets for the desktop debug files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.
