## plasma-desktop 5.7.5

=== debian/changelog ===
plasma-desktop (4:5.7.5-0ubuntu2) yakkety; urgency=medium

  * Update appstream files path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 11:08:22 +0200

plasma-desktop (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:28:51 -0500

plasma-desktop (4:5.7.2-0ubuntu2) yakkety; urgency=medium

  * Remove muon-notifier/muon-updater dependencies.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 11:24:40 +0300

plasma-desktop (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.7.1)
  * Adding new build dep libkf5activitiesstats-dev
  * Remove libkf5activitiesexperimentalstats1 as it has moved house
  * Add new file to plasma-desktop-data.install
  * New upstream release (5.7.2)

  [ Philip Muškovac ]
  * Build-depend on libxcb-keysyms1-dev

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:29 +0000

plasma-desktop (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Rik Mills ]
  * Adding patch upstream_fix_kicker_recent_documents.diff which
    fixes opening recent docs on newer KF5. Fixes KDE-Bug:363337

  [ Clive Johnston ]
  * New upstream release (5.6.5)
  * Removing upstream patches

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:49:30 +0100

plasma-desktop (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Remove build dep on kactivities as its been replaced
    kactivitymanagerd which libkf5activities depends upon
  * Break and conflict kactivities to avoid file conflict
  * Break and conflict plasma-widgets-addons
    - kimpanel stuff has been moved to here
  * Add build deps on libibus-1.0-dev and scim-dev
  * Pull in Breeze GTK as its default GTK theme
  * Adding libibus-1.0-dev as build dep

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)
  * Pointing to the correct patched kde-l10n in rules file

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:23:47 -0700
