=== debian/control ===
--- 
+++ 
@@ -3,53 +3,56 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.13~),
+Build-Depends: baloo-kf5-dev (>= 5.24.0~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.8.0~),
-               kded5-dev (>= 5.12.0~),
-               kdoctools-dev (>= 5.12.0~),
-               kinit-dev,
-               kio-dev,
-               kscreenlocker-dev (>= 5.5.5~),
-               kwin-dev (>= 4:5.5.5~),
+               extra-cmake-modules (>= 5.24.0~),
+               kded5-dev (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               kscreenlocker-dev (>= 5.7.5~),
+               kwin-dev (>= 4:5.7.5~),
                libboost-dev,
                libcanberra-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libglib2.0-dev,
-               libkf5activities-dev (>= 5.18.0~),
-               libkf5attica-dev (>= 5.12.0~),
-               libkf5auth-dev (>= 5.12.0~),
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev (>= 5.12.0~),
-               libkf5declarative-dev (>= 5.12.0~),
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev (>= 5.12.0~),
-               libkf5guiaddons-dev,
-               libkf5i18n-dev (>= 5.12.0~),
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev (>= 5.12.0~),
-               libkf5kdelibs4support-dev (>= 5.12.0~),
-               libkf5newstuff-dev (>= 5.12.0~),
-               libkf5notifications-dev (>= 5.12.0~),
-               libkf5notifyconfig-dev (>= 5.12.0~),
-               libkf5people-dev (>= 5.12.0~),
-               libkf5runner-dev (>= 5.12.0~),
-               libkf5sysguard-dev (>= 4:5.5.5~),
-               libkf5wallet-dev (>= 5.12.0~),
+               libibus-1.0-dev,
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5activitiesstats-dev (>= 5.24.0~),
+               libkf5attica-dev (>= 5.24.0~),
+               libkf5auth-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5declarative-dev (>= 5.24.0~),
+               libkf5emoticons-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5itemmodels-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5notifyconfig-dev (>= 5.24.0~),
+               libkf5people-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5sysguard-dev (>= 4:5.7.5~),
+               libkf5wallet-dev (>= 5.24.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libpulse-dev (>= 0.9.16),
-               libqt5svg5-dev (>= 5.4.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libusb-dev,
                libx11-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-shm0-dev,
                libxcb-xkb-dev,
@@ -60,10 +63,11 @@
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.12.0~),
-               plasma-workspace-dev (>= 4:5.5.5~),
-               qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev (>= 5.4.0~),
+               plasma-framework-dev (>= 5.24.0~),
+               plasma-workspace-dev (>= 4:5.7.5~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               scim-dev,
                xauth,
                xserver-xorg-dev,
                xserver-xorg-input-evdev-dev,
@@ -71,8 +75,8 @@
                xvfb
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 
 Package: plasma-desktop-dev
 Section: devel
@@ -99,7 +103,6 @@
 Architecture: any
 Depends: baloo-kf5,
          breeze,
-         kactivities,
          kde-cli-tools,
          kded5,
          kio,
@@ -119,9 +122,9 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bluedevil,
-            discover | muon-discover,
             fonts-noto,
             fonts-oxygen,
+            gtk3-engines-breeze,
             kde-config-gtk-style,
             kde-config-screenlocker,
             kde-config-sddm,
@@ -137,30 +140,33 @@
             ksysguard,
             kwin,
             kwrited,
-            muon-notifier,
-            muon-updater,
             libpam-kwallet5,
+            plasma-discover,
             plasma-pa,
             powerdevil,
             sni-qt,
             systemsettings,
             user-manager
 Breaks: baloo-kf5 (<< 5.5),
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
         kde-touchpad (<< 5.1.95~),
         kde-workspace-bin,
         kde-workspace-data,
         plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
-        plasma-widget-kimpanel
+        plasma-widget-kimpanel,
+        plasma-widgets-addons (<< 4:5.6.0~)
 Replaces: baloo-kf5 (<< 5.5),
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-touchpad (<< 5.1.95~),
           kde-workspace-bin,
           kde-workspace-data,
           plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
-          plasma-widget-kimpanel
+          plasma-widget-kimpanel,
+          plasma-widgets-addons (<< 4:5.6.0~)
 Conflicts: kde-workspace-bin
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
@@ -188,20 +194,6 @@
  This package is part of the KDE Plasma.
 
 Package: libkfontinstui5
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tools and widgets for the desktop library
- Plasma Desktop offers a beautiful looking desktop
- that takes complete advantage of modern computing technology.
- Through the use of visual effects and scalable graphics,
- the desktop experience is not only smooth but also pleasant
- to the eye. The looks of Plasma Desktop not only provide beauty,
- they are also used to support and improve your computer
- activities effectively, without being distracting.
- .
- This package is part of the KDE Plasma.
-
-Package: libkf5activitiesexperimentalstats1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Tools and widgets for the desktop library
@@ -224,19 +216,25 @@
             qml-module-org-kde-kwindowsystem,
             qml-module-qtquick-dialogs
 Breaks: baloo-kf5 (<< 5.5),
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
         kde-touchpad (<< 5.1.95~),
         kde-workspace-bin,
         kde-workspace-data,
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
         ${kde-l10n:all}
+        kactivites (<< 5.18.0~)
 Replaces: baloo-kf5 (<< 5.5),
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-touchpad (<< 5.1.95~),
           kde-workspace-bin,
           kde-workspace-data,
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widgets-addons (<< 4:5.6.0~),
           ${kde-l10n:all}
+          kactivities (<< 5.18.0~)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
